# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-10 15:24
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        ('pcart_customers', '0001_initial'),
        ('pcart_cart', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('number', models.CharField(max_length=50, unique=True, verbose_name='Number')),
                ('content', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=list, verbose_name='Content')),
                ('note', models.TextField(blank=True, default='', verbose_name='Note')),
                ('added', models.DateTimeField(auto_now_add=True, verbose_name='Added')),
                ('changed', models.DateTimeField(auto_now=True, verbose_name='Changed')),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='orders', to='pcart_customers.Customer', verbose_name='Customer')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='orders', to='sites.Site', verbose_name='Site')),
            ],
            options={
                'verbose_name': 'Order',
                'verbose_name_plural': 'Orders',
            },
        ),
        migrations.CreateModel(
            name='OrderNumberFormat',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('template', models.CharField(default='P%06d', max_length=20, verbose_name='Template')),
                ('last_number', models.PositiveIntegerField(default=0, verbose_name='last number')),
                ('site', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, related_name='order_number_format', to='sites.Site', verbose_name='Site')),
            ],
            options={
                'verbose_name': 'Order number format',
                'verbose_name_plural': 'Order number formats',
            },
        ),
    ]
